﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using System.IO;
using System.Runtime.Serialization.Formatters.Binary;

namespace howto_save_serialized_images
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        // Save a serialization of the images.
        private void mnuFileSave_Click(object sender, EventArgs e)
        {
            // Get the serialization file name.
            if (sfdSerialization.ShowDialog() == DialogResult.OK)
            {
                // Add the files to a list.
                List<Image> input_images = new List<Image>();
                input_images.Add((Bitmap)picSource1.Image);
                input_images.Add((Bitmap)picSource2.Image);
                input_images.Add((Bitmap)picSource3.Image);

                // Serialize.
                using (FileStream fs = new FileStream(
                    sfdSerialization.FileName, FileMode.Create))
                {
                    BinaryFormatter formatter = new BinaryFormatter();
                    formatter.Serialize(fs, input_images);
                }
            }
        }

        private void exitToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Close();
        }
    }
}
